// font-family: 'Oswald', sans-serif;
html {
    box-sizing: border-box;
}

*,
*::after,
*::before {
    box-sizing: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0;
    padding: 0;
}

img {
    display: block;
    max-width: 100%;
}

body {
    margin: 0;
    // padding: 0;
    font-family: 'Oswald', sans-serif;
    font-weight: 400;

}

.container {
    max-width: 1110px;
    margin: 0 auto;
}

:root {
    --accent-color: #f7654a;
    --dark-color: #404149;
    --gray-color: #999999;
    --white-color: #ffffff;
    --background-color: #e5e5e5;

}

.text__h2 {
    font-family: 'Oswald', sans-serif;
    font-weight: 500;
    font-size: 36px;
    text-transform: uppercase;
}

.text__h3 {
    font-family: 'Oswald', sans-serif;
    font-weight: 500;
    font-size: 24px;
}

.text__h4 {
    font-family: 'Oswald', sans-serif;
    font-weight: 500;
    font-size: 21px;
    letter-spacing: 0.02em;
}

.text-p {
    font-family: 'Oswald', sans-serif;
    font-size: 16px;
}

.text-p-previews {
    font-family: 'Oswald', sans-serif;
    font-size: 14px;
    line-height: 21;
}

.header {
    min-height: 740px;
    background-image: url('../img/first_screen_bg.jpg');
    // background: no-repeat;
    background-size: cover;
}

.header__title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 20px;
    margin-bottom: 112px;
}

.logo {
    width: 60px;
    height: 60px;
}

.burger {
    width: 50px;
    height: 50px;
    cursor: pointer;
    padding: 0;
    background-color: var(--accent-color);
    border: none;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center
}

.burger__line {
    display: block;
    width: 21px;
    height: 3px;
    background-color: #fff;
    margin-bottom: 4px;

    &:last-child {
        margin-bottom: 0;
    }
}

.h1 {
    font-weight: 500;
    font-size: 64px;
    line-height: 95px;
    text-align: center;
    letter-spacing: 0.02em;
    text-transform: uppercase;
    text-align: center;
    max-width: 734px;
    margin: 0 auto 17px;
    color: var(--white-color);
}

.h4 {
    width: 734px;
    color: var(--white-color);
    font-weight: 400;
    font-size: 18px;
    // line-height: 27px;
    text-align: center;
    margin: 0 auto;
    text-transform: uppercase;
}

.about {
    min-height: 1080px;
    position: relative;
    padding-top: 263px;
}

.info {
    position: absolute;
    top: -150px;
    left: 50%;
    min-height: 300px;
    // width: 100%;
    transform: translateX(-50%);
    background-color: #f7f7f7;
    padding: 57px 130px;
}

.about__grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
    justify-items: center;
}

.about__grid-item {
    text-align: center;
    width: 190px;
}

.about__h4 {
    color: var(--accent-color);
    font-size: 72px;
    font-family: 'Oswald', sans-serif;
    font-weight: 500;
    text-transform: uppercase;
    margin-bottom: 5px;

}

.about__h5 {
    color: #000;
    font-size: 45px;
    font-family: 'Oswald', sans-serif;
    font-weight: 500;

}

.about__p {
    color: var(--gray-color);
    font-size: 18px;
    font-family: 'Oswald', sans-serif;
    font-weight: 500;
}


.project__h2 {
    text-align: center;
    margin-bottom: 50px;
}

.about__flex {
    display: flex;
}

.about__flex-item {
    max-width: 350px;
    margin-right: 30px;

    &:last-child {
        margin-right: 0;
    }
}

.poject-img {
    margin-bottom: 45px;
}

.rectengle {
    width: 56px;
    height: 6px;
    background-color: var(--accent-color);
    margin-bottom: 15px;
}

.project__h3 {
    color: var(--dark-color);
    margin-bottom: 10px;
}

.poject-p {
    color: var(--gray-color);
}

.request {
    width: 100%;
    // padding: 150px 0;
    padding-top: 30px;
    padding-bottom: 40px;
    background-color: var(--accent-color);
}

.request__flex {
    display: flex;
    align-items: center;
    justify-content: space-between;

    .request__flex-left {
        color: var(--white-color);

    }

    .request__h4 {
        font-weight: bold;
        text-transform: uppercase;
        font-size: 48px;
        // line-height: 71;
        letter-spacing: 0.02em;
        margin-bottom: 7px;
    }

    .request__h5 {
        font-weight: bold;
        text-transform: uppercase;
        font-size: 24px;
        letter-spacing: 0.02em;
    }

    .request__btn {
        display: flex;
        align-items: center;
        justify-content: center;
        border: none;
        background-color: #fff;
        font-family: 'Oswald';
        font-weight: 500;
        font-size: 14px;
        letter-spacing: 0.05em;
        padding: 14px 30px;
        margin-top: 20px;
    }

    .request__icon {
        margin-right: 15px;
    }
}


.servicies {
    padding: 150px 0;
}

.text__h2 {}

.section__h2, .servicies__h4 {
    color: #000000;
    text-align: center;

}
.section__h2 {
    margin-bottom: 55px;
}
.servicies__h4 {
    margin: 0 auto;
    max-width: 172px;
    text-transform: uppercase;
}
.servicies__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 30px;
    justify-items: center;
}

.servicies__grid-item {
    // display: flex;
    // align-items: center;
    // justify-content: center;
    // flex-direction: column;
    padding: 50px 0;
    background-color: #f7f7f7;
    width: 350px;
}

.servicies__icon {
    margin: 0 auto 21px;
    
}
.portfolio {

}
.porfolio__grid {
    display: grid;
    grid-template-columns: repeat(4,1fr);
    justify-items: center;
    gap: 0;
}
.question {
    padding: 150px 0 ;
    .section__h2 {
        margin-bottom: 50px;
        text-align: center;
    }
}


.question_items {
}

.question__h3 {
    text-transform: uppercase;
    color: var(--accent-color);
    margin-bottom: 21px;
    cursor: pointer;
   
} 
.question__h3.open,.question__h3.close {
        // position: relative;
        &::before {
            content:'';
            display: inline-block;
            width: 15px;
            height: 15px;
            background-image: url('../img/arrow.png'); 
            background-repeat: no-repeat;
            margin-right: 14px;
            transform: rotate(-90deg);
        }
}
.question__h3.close {
    &::before {
        transform: rotate(0);
    }
}
.question__h3.close + .question-p{
    display: none;
}
.question-p {
    margin-bottom: 40px;
    color: var(--gray-color);
    max-width:730px;
}
.question__h3.close {
    margin-bottom: 33px;
}
.partners {
    padding-top: 100px;
    padding-bottom: 80px;
    background-color: var(--dark-color);
}
.text__h2 {
}
.partners__h2 {
    color: var(--white-color);
    text-align: center;
    transform: uppercase;
    margin-bottom: 50px;
}
.partners__flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}
.partner__item {
    margin-right: 40px;
    margin-bottom: 20px;
    &:nth-child(5n){
        margin-right: 0;
    }
}
.reviews {
    padding: 150px 0;
}
.reviews__h2 {
    text-align: center;
    margin-bottom: 60px;
}
.reviews__grid {
    display: grid;
    gap: 30px;
    grid-template-columns: repeat(3,1fr);
}
.reviews__grid-item {
}
.reviews_card {
    background-color: #f7f7f7;
    padding: 30px;
    margin-bottom: 30px;
}
.reviews__quote {
    color: var(--accent-color);
    font-size: 96px;
    line-height: 1;
    margin-bottom: -40px;
}
.text-p-reviews {
    color: var(--dark-color);
}
.reviews__author-accent {
    color: var(--accent-color);
}
.contacts {
    padding: 100px 0 150px;
}
.contacts__h2 {
    text-align: center;
    margin-bottom: 60px;
}
.contacts__grid {
    display: grid;
    gap: 30px;
    grid-template-columns: repeat(4,1fr);
}
.contacts__grid-item {
    max-width: 255px;
    text-align: center;
}
.contacts__icon {
    width: 50px;
    height: 50px;
    margin: 0 auto 13px;
}
.contacts__h3 {
    text-transform: uppercase;
}
.contacts__h3-gray {
    color: var(--gray-color);
    margin-bottom: 18px;
}
.contacts__h3_accent {
    color: var(--accent-color);
}
.footer {
    padding: 30px 0;
    background-color: var(--dark-color);
    color: var(--white-color);
}
.footer-flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.text-p {
}
.footer__copuright {
}
.footer__brand {
}














@media screen and (max-width: 1280px) {
    .about {
        padding: 450px 110px 15px;

        .info {
            // width:50%;
        }
    }

    .about__grid {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(1, 1fr);
    }

    .request {
        padding: 0 15px;
    }
    .servicies {
        padding-left: 15px;
        padding-right: 15px;
        .servicies__grid {
            grid-template-columns: repeat(2, 1fr);
            grid-template-rows: repeat(3, 1fr);
            .servicies__grid-item{
                width: 100%;
            }
        }
    }
    .porfolio__grid{
        grid-template-columns: repeat(2,1fr);
    }
    .question{
        padding: 150px 15px;
    }
    .partners__flex{
        justify-content:center;
    }
    .contacts__grid{
        grid-template-columns: repeat(2,1fr);
    }
    .contacts__grid-item{
        max-width: 100%;
    }
    .footer{
        padding: 30px 15px;
    }
}

@media screen and (max-width: 768px) {
    .h4 {
        width:inherit;
        font-size:16px;
    }
    .info {
        position: relative;
        // top: -610px;
        padding: 30px 0;
    }

    .about {
        padding-top: 150px;
        padding: 0 15px;

    }

    .request {
        padding: 0 15px;
    }

    .about__grid {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(2, 1fr);
    }

    .about__flex {
        flex-direction: column;
        align-items: center;

        .about__flex-item {
            margin-right: 0;
            margin-bottom: 30px;

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    .request__flex {
        flex-wrap: wrap;
    }
    .servicies__grid {
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(4, 1fr);
      
    }
    .question-p{
        max-width: 360px;
    }
    .reviews__grid{
        grid-template-columns: repeat(2, 1fr);
    }
    .footer-flex{
        flex-direction: column;
    }
}
@media screen and (max-width: 380px) {
    .h1{
        font-size: 46px;
        line-height: 64px;
    }
    .h4 {
        width:inherit;
        font-size:16px;
    }
    .about__grid {
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(1, 1fr);
    }
    .reviews{
        padding: 100px 15px;
    }
    .contacts__grid{
        grid-template-columns: repeat(1,1fr);
    }
    .contacts__grid-item{
        max-width: 100%;
    }
}